%define version 1.1.4
%define release %mkrel 1
%define name xdelta1

Summary: A binary delta generator
Name:	%{name}
Version: %{version}
Release: %{release}
Source0: http://xdelta.googlecode.com/files/xdelta-%{version}.tar.bz2
URL:	http://xdelta.org
#(deush) path to emacs site lisp top dir
License: GPL
Group: File tools
BuildRequires: emacs-bin glib-devel zlib-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description 
XDelta is a library interface and application program designed to
compute changes between files.  These changes (deltas) are similar to
the output of the "diff" program in that they may be used to store and
transmit only the changes between files.  However, unlike diff, the
output of XDelta is not expressed in a human-readable format--XDelta
can also also apply these deltas to a copy of the original file(s).
XDelta uses a fast, linear algorithm and performs well on both binary
and text files.  XDelta typically outperforms GNU diff in both time
and generated-delta-size, even for plain text files.  XDelta also
includes a simple implementation of the Rsync algorithm and several
advanced features for implementing RCS-like file-archival with.

%package devel
Summary: Static libraries and header files for development with XDelta
Group: Development/C
Requires: %{name}

%description devel
This package contains the static libraries and header files
required to develop applications using Xdelta.

%prep
%setup -q -n xdelta-%{version}

%build
%ifarch alpha
automake
%endif

CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
%configure --disable-shared
%make all
cd libedsio 
emacs -batch -q -f batch-byte-compile edsio.el

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp
%makeinstall
install -m 644 libedsio/{edsio.el,edsio.elc} \
	$RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp

%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/xdelta-config

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%_bindir/xdelta
%_datadir/aclocal/*
%_mandir/man1/*
%_datadir/emacs/site-lisp/*

%files devel
%defattr(-,root,root)
%_bindir/xdelta-config
%multiarch %{multiarch_bindir}/xdelta-config
%_includedir/*
%_libdir/*


%changelog
* Thu May 31 2007 Adam Williamson <awilliamson@mandriva.com> 1.1.4-1mdv2008.0
+ Revision: 33475
- correct URL
- drop patch0 (no longer needed)
- new release 1.1.4
- Import xdelta1



* Thu Jan 27 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1.3-2mdk
- 64-bit & multiarch fixes

* Wed Feb 04 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.1.3-1mdk
- some requesting older xdelta so upload xdelta1 

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.1.1-8mdk
- automatically added BuildRequires

* Wed Jul 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.1-7mdk
- fix bad script

* Tue Jul 25 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.1-6mdk
- BM

* Mon Apr  3 2000 Adam Lebsack <adam@mandrakesoft.com> 1.1.1-5mdk
- Release build.

* Wed Jan 12 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1.1-4mdk
- Regnerate libtoolize.

* Thu Nov 11 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- rebuilt for Oxygen

* Fri Aug 20 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- fixed edsio-comp script.

* Tue Aug 19 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- First spec file for Mandrake distribution.
